{block title}PigLatin{/block}

{block header}Pig Latin - zadání{/block}

{block content}

<div class="page-wrapper">
    <div class="container mt-5">
        <div class="content">

            <h2>Popis</h2>
            <p class="text-justify">Pig Latin je jazyková hra používaná anglicky mluvícími dětmi. Používá se pro
                pobavení i
                pro zachování „soukromí“ mezi mluvčími. Některá slova (např. upidstay - hloupý) byla přejata do slangu
                americké angličtiny. Celý princip hry spočívá v úpravě slov přidáním atypických přípon nebo přesunutím
                první
                souhlásky na konec původního slova.</p>

            <h2>Zadání</h2>
            <div class="task">
                <p class="text-justify mt-4">U slov, která začínají souhláskou, se první souhláska přesouvá na konec
                    slova a
                    za ni se přidá přípona -ay.</p>
                <div>happy → appyhay</div>
                <div>question → estionquay</div>

                <p class="text-justify mt-4">U slov, která začínají samohláskou, se pouze přidá přípona -ay (v některých
                    variantách připona -way).</p>
                <div>another → anotharay nebo anotherway</div>
                <div>it → itay nebo itway</div>

                <p class="text-justify mt-4">V některých jiných variantách Pig Latin u slov začínajících na samohlásku
                    se
                    tato samohláska přesune na konec a za ni se připojí přípona -hay.</p>
                <div>another → notherahay</div>
                <div>it → tihay</div>
            </div>

            <h2 class="mt-4">Smysl úlohy</h2>
            <p>Napsat v nette implementaci funkce Pig Latin překladače, který ukáže mé junior nette schopnosti.</p>

        </div>
    </div>
</div>

<style>
    .task div {
        font-weight: bold;
    }

    .content {
        background: white;
        padding: 25px;
        box-sizing: border-box;
        border-radius: 16px;
    }
</style>
